package com.agiledeveloper;

public class Example
{
    public static int max(int[] values)
    {
        int maximum = values[0];
        for(int val : values)
        {
            if (val > maximum) maximum = val;
        }

        return maximum;
    }

    public static int max2(int... values)
    {
        // values is nothing but an array.
        // You may even call max(values); from here.

        int maximum = values[0];
        for (int val : values)
        {
            if (val > maximum)
            {
                maximum = val;
            }
        }

        return maximum;
    }

    public static void print(Object... objects)
    {
        for(Object o : objects)
        {
            System.out.printf("%s is of type %s\n", o, o.getClass().getName());
        }
    }

    public static void main(String[] args)
    {
        int[] someValues = {1, 7, 2, 4, 5};

        System.out.println(max(someValues));

        System.out.println(max2(someValues));

        System.out.println(max2(1, 7, 2, 4, 5));

        print("test", 2, 'a', new Example());
    }
}